#ifndef _TK_LAYOUT_H_
#define _TK_LAYOUT_H_

#include "../../txmlobject.h"

class TkBase;
class TclInterp;
class TkContainer;

/**
 * \brief Virtual parent of all layout managers
 * \date 01-12-2006
 *
 * \author Ondrej Svejdar
 *
 * \todo 
 *
 * \bug 
 *
 */
class TkLayout:public TXmlObject
{
public:
	static const char* type;
	virtual const char* getType() const
	{
		return type;
	}
	/**
	 *
	 * \param interp 
	 * \param parent 
	 * \param component 
	 * \param constraints 
	 */
	virtual void manageLayout(TclInterp* interp,TkContainer* parent,TkBase* component,TObject* constraints) const;
	virtual void removeComponent(TclInterp* interp,TkContainer* parent,TkBase* component) const;
};

#endif/*_TK_LAYOUT_H_*/
